<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// No direct access.
defined('_JEXEC') or die;

jimport('joomla.application.component.modeladmin');
 
class virtualclassroomModelschedule extends JModelAdmin
{
	public function getForm($data = array(), $loadData = true)
	{
	 
	}
	public function getinstructoruserlist(){
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
    	$query->select('*')
        	->from($db->quoteName('#__users'));
    	$db->setQuery($query);
	    return $db->loadAssocList();
	}
	function vlcr_timezoneList(){
      $data1['task'] = 'getTimezoneList';
      $bcvchelper_class = new bcvcHelper(); 
      $result = $bcvchelper_class->vlcr_get_curl_info($data1);
		return $result;
     }
	public function getinstructorname($id){
		if($id){
			$db = JFactory::getDbo();
			$query = $db->getQuery(true);
    		$query->select($db->quoteName('name'))
        		->from($db->quoteName('#__users'))
        		->where($db->quoteName('id') . ' = ' . $db->quote($id));
    		$db->setQuery($query);
    		return $db->loadResult();
		}else{
			return false;
		}
	}
	public function getplan(){
		$data['task'] = 'getplan';
		$bcvchelper_class = new bcvcHelper(); 
		$result = $bcvchelper_class->vlcr_get_curl_info($data);
		return $result;
	}
	public function classdata($classid){
		$data['class_id'] = $classid;
		$data['task'] = 'getclass';
		$bcvchelper_class = new bcvcHelper(); 
		$result = $bcvchelper_class->vlcr_get_curl_info($data);
		return $result;
	}
	public function get_vlcr_getservers(){
	  $data['task'] ='getservers';
	  $bcvchelper_class = new bcvcHelper(); 
      $result = $bcvchelper_class->vlcr_get_curl_info($data);
      return $result;
	}
}