<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      <support@braincert.com> - http://
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
 
$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_virtualclassroom');
$saveOrder = $listOrder == 'a.ordering';
$jinput = JFactory::getApplication()->input;
$option = $jinput->get('option', '', '');
$view = $jinput->get('view', '', '');
$model = $this -> getModel('listclass');
$document= JFactory::getDocument();
$document->addStyleSheet("components/com_virtualclassroom/assets/css/font-awesome.css");
 $data =  $this->listclass ; 
  
?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/virtualclassroom.css" type="text/css" />
<!--<link rel="stylesheet" type="text/css" href="components/com_virtualclassroom/assets/css/bootstrap.min.css" />-->
<form action="<?php echo JRoute::_('index.php?option=com_virtualclassroom&view=listclass'); ?>" method="post" name="adminForm" id="adminForm">
    <div class="clr"> </div>
    <table>
    <tr>
      <td width="100%">
            <label class="filter-search-lbl" for="filter_search" style="display: inline-block;vertical-align: middle;">Filter</label>:
            <input type="text" title="Filter by Title" class="text_area" value="<?php echo $this ->search;?>" id="search" name="search" style="margin: 0;vertical-align: middle;">
            <button onclick="this.form.submit();"><?php echo JText::_('GO'); ?></button>
            <button onclick="document.getElementById('search').value='';this.form.getElementById('filter_sectionid').value='-1';this.form.getElementById('catid').value='0';this.form.getElementById('filter_authorid').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_('RESET'); ?></button>
      </td>
    </tr>
  </table>

    <table class="adminlist table table-striped">
        <thead>
            <tr>
                <th width="1%">
                    <input type="checkbox" name="checkall-toggle" value="" onclick="Joomla.checkAll(this)" />
                </th>
                <th class="left">
                    <?php echo JText::_('CLASS_ID');?>
                    
                </th>
                <th class="left">
                    <?php echo JText::_('CLASS_TITLE');?>
                     
                </th>
                <th class="left">
                    <?php echo JText::_('SCHEDULE_DATE');?>
                    
                </th>
                <th class="left">
                    <?php echo JText::_('CLASS_START_TIME');?>
                     
                </th>
                <th class="left">
                    <?php echo JText::_('CLASS_END_TIME');?>
                     
                </th>
                <th class="left">
                    <?php echo JText::_('CLASS_END_DATE');?>
                    
                </th>
                
                <th class="left">
                    <?php echo JText::_('CLASS_RECORD');?>
                    
                </th>
                <th class="left">
                    <?php echo JText::_('CLASS_TYPE');?>
                     
                </th>
                <th class="left">
                    <?php echo JText::_('CLASS_STATUS');?>
                     
                </th>
                <th class="left">
                    <?php echo JText::_('CLASS_DURATION');?>
                     
                </th>
                <th class="left">
                    <?php echo JText::_('CLASS_OPTION');?>
                    
                </th>
            </tr>
        </thead>
        <tfoot>
             
            <tr>
                <td colspan="13">
                    <?php 
                     
                    echo $this->pagination->getListFooter(); ?>
                </td>
            </tr>
        </tfoot>
        <tbody>
            <?php

           
            if($data['classes']){
            foreach ($data['classes'] as $i => $item) {
                $ordering = ($listOrder == 'a.ordering');
                $canCreate = $user->authorise('core.create', 'com_virtualclassroom');
                $canEdit = $user->authorise('core.edit', 'com_virtualclassroom');
                $canCheckin = $user->authorise('core.manage', 'com_virtualclassroom');
                $canChange = $user->authorise('core.edit.state', 'com_virtualclassroom');
                ?>
                <tr class="row<?php echo $i % 2; ?>">
                    <td class="center">
                        <?php echo JHtml::_('grid.id', $i, $item['id']); ?>
                    </td>
                     <td class="center">
                        <?php echo $item['id']; ?>
                    </td>
                     <td class="center">
                        <a href="<?php echo JRoute::_('index.php?option=com_virtualclassroom&view=schedule&layout=edit&cid='. $item['id']); ?>"><?php echo $item['title'] ; ?></a>
                    </td>
                     <td class="center">
                        <?php echo $item['date'] ; ?>
                    </td>
                    <td class="center">
                        <?php echo $item['start_time'] ; ?>
                    </td>
                    <td class="center">
                        <?php echo $item['end_time'] ; ?>
                    </td>
                   <!-- <td class="center">
                        <?php echo $item['timezone'] ; ?>
                    </td>-->
                    <td class="center">
                        <?php echo $item['end_date'] ; ?>
                    </td>
                    <?php if($item['record']>0){
                            $record = JText::_('CLASS_YES');
                        }else{
                            $record = JText::_('CLASS_NO');
                        }?>
                     
                    <td class="center">
                        <?php echo $record ; ?>
                    </td>
                    <td class="center">
                        <?php if($item['ispaid'] == 1){
                          $ispaid = JText::_('PAID');
                        }else{$ispaid = JText::_('FREE');}?>
                        
                        <?php echo $ispaid ; ?>
                    </td>
                    <td class="center">
                        <?php if($item['isCancel']==1 || $item['isCancel']==2){ ?>
                            <?php echo 'Canceled' ?>
                        <?php }else{ ?>
                            <?php echo $item['status'] ?>
                        <?php } ?>
                    </td>
                    <?php $duration = (int)($item['duration'] / 60); ?>
                     <td class="center">
                        <?php echo $duration . JText::_('MINUTES'); ?>
                    </td>
                    <td class="center">
                     <div class="dropdown">
                    
                    <a class="dropbtn fa fa-cog" id="dropbtn" href="javascript:void(0);" onclick="dropdownmenu('<?php echo $item["id"]?>')">  <b class="caret"></b> </a>

                     <div class="dropdown-content" id="slide-gear-<?php echo $item['id']?>">
                    <li>    
                    <a target="_blank" href="index.php?option=com_virtualclassroom&view=listclass&layout=learner_preview&cid=<?php echo $item['id'] ; ?>"><i class="fa fa-eye"></i>  <?php echo JText::_('LEARNER_PREVIEW');?></a>
                    </li>
                    
                    <li>
                    <a target="_blank" href="index.php?option=com_virtualclassroom&view=listclass&layout=instructor_preview&cid=<?php echo $item['id'] ; ?>"><i class="fa fa-eye"></i> <?php echo JText::_('INSTRUCTOR_PREVIEW');?></a>
                    </li>
                    <li>

                    <a href="index.php?option=com_virtualclassroom&view=listclass&layout=attendance_report&cid=<?php echo $item['id'] ; ?>"><i class="fa fa-user"></i>&nbsp;&nbsp;<?php echo JText::_('ATTENDANCE_REPORT');?></a>
                    </li>

                    <?php if($item['isCancel']==1 || $item['isCancel']==2){ ?>
                        <li><a href="<?php echo "index.php?option=com_virtualclassroom&view=listclass&task=activeclass&id=".$item['id']?>" onclick="return confirm('Are you sure you want to active this class?')"><i class="icon icon-plus"></i> <?php echo JTEXT::_("ACTIVE_CLASS")?></a>
                        </li>
                    <?php } else{ ?>
                        <?php if($item['repeat']==0){ ?>
                            <li><a href="<?php echo "index.php?option=com_virtualclassroom&view=listclass&task=cancelclass&isCancel=1&id=".$item['id']?>" onclick="return confirm('Are you sure you want to cancel this class?')"><i class="icon icon-minus-circle"></i> <?php echo JTEXT::_("CANCEL_CLASS")?></a>
                            </li>   
                        <?php }else{ ?>
                            <li><a href="#" onclick="cancelclass(<?php echo $item['id'];?>,'<?php echo $item['title']?>')"><i class="icon icon-minus-circle"></i> <?php echo JTEXT::_("CANCEL_CLASS")?></a>
                            </li>
                        <?php }?>
                    <?php }?>
                    <li class="divider"></li>

                    <?php if(strtolower($item['status'])!="past"){ ?> 
                    <li> 
                    <a href="index.php?option=com_virtualclassroom&view=listclass&layout=invite_by_email&cid=<?php echo $item['id'] ; ?>"> <i class="fa fa-envelope"></i> <?php echo JText::_('INVITE_BY_EMAIL');?> </a> 
                    </li>
                    <li> 
                    <a href="index.php?option=com_virtualclassroom&view=listclass&layout=invite_by_users&cid=<?php echo $item['id'] ; ?>"> <i class="fa fa-envelope"></i> <?php echo JText::_('INVITE_USERS');?></a> 
                    </li>

                    <li> 
                    <a href="index.php?option=com_virtualclassroom&view=listclass&layout=invite_by_groups&cid=<?php echo $item['id'] ; ?>"> <i class="fa fa-envelope"></i> <?php echo JText::_('INVITE_USERS_GROUP');?></a> 
                    </li>
                    <li class="divider"></li>
                    <?php } ?>
                        
               <?php if($item['ispaid'] == 1){ ?> 
                <li>
                     <a href="index.php?option=com_virtualclassroom&view=listprice&class_id=<?php echo $item['id']?>" ><i class="fa fa-shopping-cart"></i> <?php echo JText::_('SHOPPING_CART');?>
                    </a>
                </li>
                <li>
                       <a href="index.php?option=com_virtualclassroom&view=listdiscount&class_id=<?php echo $item['id']?>" ><i class="fa fa-ticket"></i> <?php echo JText::_('DISCOUNTS');?></a>
                 </li>
                 <?php } ?>

                 <?php 
                 $record = $model->getrecorcount($item['id']);   
                 if($item['record'] && !isset($record["Recording"])){ ?> 
                <li>
                    <a href="index.php?option=com_virtualclassroom&view=recordings&layout=viewrecording&class_id=<?php echo $item['id']?>" ><i class="fa fa-play-circle"></i> <?php echo JText::_('VIEW_CLASS_RECORDING');?></a>
                </li>
                <li>
                  <a href="index.php?option=com_virtualclassroom&view=recordings&class_id=<?php echo $item['id']?>" ><i class="fa fa-play-circle"></i> <?php echo JText::_('MANAGE_RECORDING');?></a>
                </li>
                <?php }?>
            </div>
                    </div>
                    </td>
                </tr>
            <?php } } ?>
        </tbody>
    </table>

    <div>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
        <?php echo JHtml::_('form.token'); ?>
    </div>
</form>
<script type="text/javascript">
function cancelclass(class_id,class_title){
        jQuery("#cancelclassid").val(class_id);
        jQuery(".class_title").html(class_title);
        jQuery('#cancelclassModal').modal('show');
    }
function dropdownmenu(id) {
  
    if(jQuery("#slide-gear-"+id).hasClass('show')){
        jQuery("#slide-gear-"+id).removeClass('show');
    }else{
        jQuery(".dropdown-content").removeClass('show')
        jQuery("#slide-gear-"+id).addClass('show');

    }
 /*  jQuery(".dropdown-content").removeClass('show');
    document.getElementById("slide-gear-"+id).classList.toggle("show");*/
    //jQuery("#slide-gear-"+id).toggle();
    window.onclick = function(e) {
        if (!e.target.matches('.dropbtn')) {
            jQuery(".dropdown-content").removeClass('show');
        }
    }
   
   
}
</script>

<div id="cancelclassModal" class="modal hide fade" role="dialog" style="top: 20%;width: 50%;left: 60%;overflow: hidden;">
  <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h2 class="modal-title"><?php echo JTEXT::_("CANCEL_RECURRING_CLASS")?></h2>
      </div>
      <form action="index.php?option=com_virtualclassroom&view=listclass&task=cancelclass" method="post" style="margin: 0" class="form-horizontal form-validate row-fluid">
      <div class="modal-body">
            <div class="control-group">
                    <label><b><?php echo JTEXT::_("CANCEL_RECURRING_CLASS_DESCRIPTION")?> <span class="class_title"></span> ? </b></label>
                    <div>
                        <input type="radio" name="isCancel" value="1" checked="checked" style="margin: 0 5px;"><?php echo JTEXT::_("CANCEL_CURRENT_CLASS")?> 
                    </div>
                    <div>
                        <input type="radio" name="isCancel" value="2" style="margin: 0 5px;"><?php echo JTEXT::_("CANCEL_ALL_CLASSES")?> 
                    </div>
            </div>
      </div>
      <div class="modal-footer">
        <input type="hidden" id="cancelclassid" name="id" value="">
        <button type="submit" class="btn btn-primary">Save</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
      </form>
    </div>

  </div>
</div>