<?php

/**
 * @version		$Id: classroomengine.php 15 2009-11-02 18:37:15Z chdemko $
 * @package		Joomla16.Tutorials
 * @subpackage	Components
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author		Christophe Demko
 * @link		http://joomlacode.org/gf/project/classroomengine_1_6/
 * @license		License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelitem library
jimport('joomla.application.component.modellist');

/**
 * Classes Model
 */
class virtualclassroomModelinviteclass extends JModelList
{
	function invite_class_model($data){

 		$db = JFactory::getDBO();
 		$query = $db->getQuery(true);
        $query->select($db->quoteName('name'))
            ->from($db->quoteName('#__virtualclassroom_shared_users'))
            ->where($db->quoteName('name') . ' = ' . $db->quote($data['name']))
            ->where($db->quoteName('uid') . ' = ' . $db->quote($data['token_id']));
        $db->setQuery($query);
        $name_result = $db->loadResult();
 		if(!isset($name_result)){
				$query2 = "UPDATE #__virtualclassroom_shared_users SET name = '".$data['name']."' WHERE email = '".$data['emails_to_invite']."' and uid = '".$data['token_id']."'";
				$db -> setQuery($query2);
				$db -> query();
		}
		$query = $db->getQuery(true);
        $query->select('*')
            ->from($db->quoteName('#__virtualclassroom_shared_users'))
            ->where($db->quoteName('email') . ' = ' . $db->quote($data['emails_to_invite']))
            ->where($db->quoteName('uid') . ' = ' . $db->quote($data['token_id']));
        $db->setQuery($query);
        return $db->loadObject();
	}
	 public function isEnrolled($classid){
        
        $db = $this -> getDbo();
        $query = $db -> getQuery(true);
        $user = JFactory::getUser();
        $query = $db->getQuery(true);
        $query->select('count(*)')
            ->from($db->quoteName('#__virtualclassroom_purchase'))
            ->where($db->quoteName('payer_id') . ' = ' . $db->quote($user->id))
            ->where($db->quoteName('class_id') . ' = ' . $db->quote($classid));
        $db->setQuery($query);
        return $db->loadResult();
    }
     public function isteacher(){
        
        $db = JFactory::getDBO();
        $user = JFactory::getUser();
        $query = $db->getQuery(true);
        $query->select($db->quoteName('is_teacher'))
            ->from($db->quoteName('#__virtualclassroom_teacher'))
            ->where($db->quoteName('user_id') . ' = ' . $db->quote($user->id));
        $db->setQuery($query);
        return $db->loadResult();
        
    }
    public function getclasslaunch($class_id,$class_title,$userId= null,$name = null){
     	$db = JFactory::getDBO();
        $user = JFactory::getUser();
        $query = $db->getQuery(true);
        $query->select('*')
            ->from($db->quoteName('#__virtualclassroom_teacher'))
            ->where($db->quoteName('user_id') . ' = ' . $db->quote($user->id));
        $db->setQuery($query);
        $teacher = $db->loadObject();
		if (@$teacher->is_teacher == 1)
        { $data['isTeacher'] = 1; }
        else {  $data['isTeacher'] = 0;  }
        $data['userId'] = $userId;
        $data['userName'] = $name;
        $data['lessonName'] = $class_title;
        $data['courseName'] = $class_title;
        $data['task'] = 'getclasslaunch';
        $data['class_id'] = $class_id;
		$result = virtualclassroomHelper::vlcr_get_curl_info($data);        
        return $result;
      
   }
   function getsharedetails($emails_to_invite,$token_id){
   			$db = JFactory::getDbo();
   			$query = $db->getQuery(true);
	        $query->select('*')
	            ->from($db->quoteName('#__virtualclassroom_shared_users'))
	            ->where($db->quoteName('uid') . ' = ' . $db->quote($token_id));
	        $db->setQuery($query);
	        $inviteduser = $db->loadObject();
			return $inviteduser;

   }
		function get_class_data($class_id){
				$data1['task'] = 'getclass';
				$data1['apikey'] = $key;
				$data1['class_id'] = $class_id;
				$result= virtualclassroomHelper::vlcr_get_curl_info($data1);
				return (object)$result[0];
		}
		function shared_data($token){
			$db = JFactory::getDbo();
			$query = $db->getQuery(true);
	        $query->select('*')
	            ->from($db->quoteName('#__virtualclassroom_shared_users'))
	            ->where($db->quoteName('uid') . ' = ' . $db->quote($token_id));
	        $db->setQuery($query);
	        $inviteduser = $db->loadObject();
			return $inviteduser;
		}

		
		public function getfullurl($shorturl){
			$db = JFactory::getDBO();
			$query = $db->getQuery(true);
	        $query->select('fullurl,rand_number')
	            ->from($db->quoteName('#__virtualclassroom_shorturl'))
	            ->where($db->quoteName('shorturl') . ' = ' . $db->quote($shorturl));
	        $db->setQuery($query);
	        return $db->loadObject();
		}
}