<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      <support@braincert.com> - http://
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
 
$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_virtualclassroom');
$saveOrder = $listOrder == 'a.ordering';
$input = JFactory::getApplication()->input;
 

$document= JFactory::getDocument();
//$document->addStyleSheet("components/com_virtualclassroom/assets/css/font-awesome.css");
 $model =  $this->getModel(); 
 $id=JRequest::getVar('cid');
 $lpreview =$model->learnerPreview($id);
 

$app = JFactory::getApplication();
$isroot = $user->authorise('core.admin');
$isteacher = virtualclassroomHelper::isteacher();
if ($user->guest || ($isteacher==0 && $isroot==0)) {
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
}
$is_access=0;
if($user->id ==$lpreview[0]['created_by'] || $user->id ==$lpreview[0]['instructor_id'] || $isroot==1){
    $is_access=1;
}
if($is_access==0){
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
}

?>
<?php  if(JVERSION < 3) {?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/bootstrap/bootstrap.min.css" type="text/css" />
<?php } ?>
<!--<link rel="stylesheet" type="text/css" href="components/com_virtualclassroom/assets/css/bootstrap.min.css" />-->
<div>
    <h1><?php echo JText::_('INVITE_BY_EMAIL');?></h1>
    <form name="invite" method="post" action="" id="vlrc_inviteform">
            <table class="form-table">
            <tbody>
                <tr>
                    <th scope="row"><label><?php echo JText::_('TO');?></label></th>
                    <td class="to">
                        <textarea rows="4" cols="50" id="to" name="to" placeholder="Enter email address" style="width: 50%"></textarea>
                        <span class="error"></span>
                        <br>(Enter one email address per line.) 
                    </td>
                </tr>
                <tr>
                    <th><label><?php echo JText::_('SUBJECT');?></label></th>
                    <td><input type="text" name="subject" value="Live Class Invitation"></td>
                </tr>
                <tr>
                    <th><?php echo JText::_('MESSAGE');?></th>
                    <td><?php $editor =JFactory::getEditor();
                        $params = array( 'smilies'=> '0' ,
                                         'style'  => '1' , 
                                         'layer'  => '0' ,
                                         'table'  => '0' ,
                                         'clear_entities'=>'0'
                                         );
echo $editor->display( 'message', '', '400', '400', '20', '20', FALSE, null, null, null,$params);; ?>
                </td>
                </tr>
                <tr>
                <input type="hidden" name="id" value="<?php echo $id;?>">
                <input type="hidden" name="option" value="com_virtualclassroom">
                <input type="hidden" name="view" value="invite_by_email">
                <input type="hidden" name="task" value="invite_by_email">
                    <td colspan="2"><input id="send" type="submit" class="btn btn-primary" value="send" name="invite">

                    </td>
                </tr>
            </tbody>
            </table>
    </form>
</div>
<script type="text/javascript">
    jQuery( document ).ready(function() {
        jQuery( "#send" ).click(function() {
            var to = jQuery('#to').val();
            if(to == ''){ 
            
                jQuery(".error").html("<br><b>Please enter correct E-mail address!</b>").css("color","red");
                //jQuery.scrollTo(jQuery('.error'), 1000);
                    jQuery('html,body').animate({
                        scrollTop: jQuery("#to").offset().top},
                    'slow');
                return false;
            }
        });
    });
</script>