<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
// no direct access
defined('_JEXEC') or die;

$data =  $this->listclass ; 

$user = JFactory::getUser();
 
$doc =JFactory::getDocument();
$doc->addStylesheet('components/com_virtualclassroom/assets/css/vlcr_style.css');

$key = JComponentHelper::getParams('com_virtualclassroom')->get('braincert_api_key');
$base_url = JComponentHelper::getParams('com_virtualclassroom')->get('braincert_base_url');
$is_schedule_class = JComponentHelper::getParams('com_virtualclassroom')->get('is_schedule_class');
$model = $this->getModel("listclass"); 
$allowClass_list = $model->getgroupclass();
$isteacher = $model->isteacher(); 
JHTML::_('behavior.modal'); 

?>

<script type="text/javascript">
var bootstrapCssFound = false;
for (var i = 0; i < document.styleSheets.length; i++) {
    if (document.styleSheets[i].href !== null) {
        var s = document.styleSheets[i].href;
        if (s.indexOf("bootstrap.css") !== -1) {
            bootstrapCssFound = true;
            break;
        }
        if (s.indexOf("bootstrap.min.css") !== -1) {
            bootstrapCssFound = true;
            break;
        }
    }
}
if (!bootstrapCssFound) {
    jQuery('head').append(
        jQuery('<link rel="stylesheet" type="text/css" href="components/com_virtualclassroom/assets/css/bootstrap/bootstrap.min.css" />')
    );
}
</script>

<link rel="stylesheet" type="text/css" href="components/com_virtualclassroom/assets/css/font-awesome.min.css" />

<?php  if(JVERSION >= 2.5 && JVERSION < 3) {?>
<script src="components/com_virtualclassroom/assets/js/bootstrap/jquery.min.js"></script>
<script src="components/com_virtualclassroom/assets/js/bootstrap/bootstrap.min.js"></script>
<?php } ?>
<script type="text/javascript">
    
    function cancelclass(class_id,class_title){
        jQuery("#cancelclassid").val(class_id);
        jQuery(".class_title").html(class_title);
        jQuery('#cancelclassModal').modal('show');
    }

    function dropdownmenu(id) {
        if(jQuery("#slide-gear-"+id).hasClass('show')){
            jQuery("#slide-gear-"+id).removeClass('show');
        }else{
            jQuery(".dropdown-content").removeClass('show')
            jQuery("#slide-gear-"+id).addClass('show');
        }
        window.onclick = function(e) {
            if (!e.target.matches('.dropbtn')) {
                jQuery(".dropdown-content").removeClass('show');
            }
        }
    }

    function popup(url) 
	{
	 params  = 'width='+screen.width;
	 params += ', height='+screen.height;
	 params += ', top=0, left=0'
	 params += ', fullscreen=yes,directories=no,titlebar=no,toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=no,addressbar=no';
	
	 newwin=window.open(url,'windowname4', params);
	 if (window.focus) {newwin.focus()}
	 return false;
	}
</script>
 <h2><?php echo JText::_('CLASSES');?></h2>
 <?php 
 $user = JFactory::getUser();
$isroot = $user->authorise('core.admin');

if($is_schedule_class && ($isroot>0 || $isteacher==1)){ ?>
<a href="index.php?option=com_virtualclassroom&view=schedule" class="btn btn-primary">Schedule</a>
<?php } ?>
 <hr>
 <form action="<?php echo JRoute::_('index.php?option=com_virtualclassroom&view=listclass'); ?>" method="post" name="adminForm" id="adminForm">
    
    <div class="clr"> </div>

    <table class="adminlist" style="width: 100%;">
         
        
        <tbody>
            <?php
           $user   = JFactory::getUser();
             if($data['classes']){

            foreach ($data['classes'] as $i => $item) {

                $m=0;
                if($user->id==$item['created_by'] || $user->id==$item['instructor_id'] || $isroot>0){
                    $m=1;   
                } 

               if(!empty($allowClass_list) && $m==0){
                        if (!in_array($item['id'], $allowClass_list)){continue;}
                }

                 
                $enrolled = $model->isEnrolled($item['id']);

                    $mins = $item['class_starts_in'] / 60;
                    $before_time=0;
                    if(strtolower($item['status'])=="upcoming" && $mins>0 && $mins<=30 && $isteacher==1 ){
                        $item['status'] = "Live";
                        $before_time=1;
                    }

                    if(strtolower($item['status']) == "upcoming"){
                        $class = "alert alert-warning";
                    }
                    if(strtolower($item['status']) == "past"){
                         $class = "alert alert-danger";
                    }
                    if(strtolower($item['status']) == "live"){
                        $class = "alert alert-success";
                    }
                    ?>
               <tr>
                     
                    <td>
                        <div class="class_div" style="padding: 0 17px">
                        <?php  
                        $Itemid = JRequest::getVar('Itemid');
                        $url=JRoute::_("index.php?option=com_virtualclassroom&view=listclass&layout=classdetail&id=".$item['id']."&Itemid=".$Itemid);?>
                            <i class="fa fa-bullhorn fa-lg"></i><strong><a href="<?php echo $url;?>"><?php echo $item['title'] ?></a></strong> &nbsp;
                            
                            <?php if($item['isCancel']==1 || $item['isCancel']==2){ ?>
                                <span style="padding: 0px 3px;" class="alert alert-danger">Canceled</span>
                            <?php }else{ ?>
                                <span style="padding: 0px 3px;" class="<?php echo $class;?>"><?php echo $item['status'] ?></span>
                            <?php } ?>
                            

                            <br>
                            <?php if(strtolower($item['status']) =='upcoming' && !empty($item['class_next_date'])) { ?>
                                 <i class="fa fa-calendar fa-lg"></i> <?php echo date('l, F d, Y', $item['class_next_date']);

                            }else {?>   
                            <i class="fa fa-calendar fa-lg"></i><?php echo date('l, F d, Y', strtotime($item['date'])); ?>
                            <?php } ?>
                            <br>
                            
                            <?php $duration = (int)($item['duration'] / 60); ?>
                            <i class="fa fa-clock-o fa-lg"></i>
                            <?php echo $item['start_time'] . " - " . $item['end_time']; ?> (<?php                       
                                echo $duration . JText::_('MINUTES');
                            ?>) 
                            <br>
                            <i class="fa fa-globe fa-lg"></i><b><?php echo JText::_('TIME_ZONE');?>:</b> <?php echo $item['label']; ?>    
                            <br>
                             <b><?php echo JText::_('Keywords');?>:</b> <?php echo $item['keyword']; ?>    
                            <br>
                            <?php 
                            if($user->id==$item['instructor_id'] || $user->id==$item['created_by'] ){
                              $enrolled=1;  
                            } 

                            if($item['ispaid'] && $user->id && strtolower($item['status'])!="past" && !$enrolled && $isteacher == 0 && $item['isCancel']==0){?>
                                <a class="btn btn-danger" style="color: #ffffff;max-height: 26px;" href="<?php echo $url;?>">
                                    <h3 style="margin: 0;color: #fff;"><i class="fa fa-shopping-cart fa-lg"></i><?php echo JText::_('BUY_BTN');?></h3></a>
                                <?php 
                            }

                            if($user->id==0 && strtolower($item['status'])!="past"){ ?>

                                <a href="<?php echo $url;?>" class="btn btn-primary" style="font-weight: bold;color: #fff;text-decoration: none;margin-top: 10px;">
                                <?php echo JText::_('Login');?>
                                </a>
                            
                       
                          <?php  }

                            if(strtolower($item['status']) == "live" && ( ($item['ispaid']==1 && $enrolled) || $item['ispaid']==0 || $isteacher == 1) && $item['isCancel']==0){

                                $model = $this->getModel("listclass"); 

                                if($item['instructor_id']=='') { $item['instructor_id']=NULL; } 
                                if($item['created_by']=='') { $item['created_by']=NULL; }
                                
                                $launchurl = (object)$model->getclasslaunch($item['id'],$item['title'],$item['instructor_id'],$item['created_by']);

                                $url = str_replace("'\'","",@$launchurl->encryptedlaunchurl);

                               

                                if($url && strtolower($item['status']) == "live"){
                                ?>
                                <br>
                                    <?php if($before_time==1){ ?>
                                        <a target="_blank" class="btn btn-primary" style="font-weight: bold;" id="launch-btn" onClick="popup('<?php echo $url;?>')"><?php echo JText::_('Enter to prepare class');?></a>
                                <?php }else{ ?> 
                                        <a target="_blank" class="btn btn-primary" style="font-weight: bold;" id="launch-btn" onClick="popup('<?php echo $url;?>')"><?php echo JText::_('LAUNCH');?></a>
                                <?php }?>    
                                    
                                <?php } ?>
                                <?php
                              }
                             ?>                              
                        </div>
                    
                    </td>
                    <td style="vertical-align: top;">
                    
                    <?php if($m==1 && $isteacher == 1 || $isroot>0){ ?>

                        <div class="dropdown">
                    
                    <a class="dropbtn fa fa-cog" id="dropbtn" href="javascript:void(0);" onclick="dropdownmenu('<?php echo $item["id"]?>')">  <b class="caret"></b> </a>

                     <div class="dropdown-content" id="slide-gear-<?php echo $item['id']?>">
                    <li>    
                    <a target="_blank" href="index.php?option=com_virtualclassroom&view=listclass&layout=learner_preview&cid=<?php echo $item['id'] ; ?>"><i class="fa fa-eye"></i>  <?php echo JText::_('LEARNER_PREVIEW');?></a>
                    </li>
                    
                    <li>
                    <a target="_blank" href="index.php?option=com_virtualclassroom&view=listclass&layout=instructor_preview&cid=<?php echo $item['id'] ; ?>"><i class="fa fa-eye"></i> <?php echo JText::_('INSTRUCTOR_PREVIEW');?></a>
                    </li>
                    <li>
                    <a href="index.php?option=com_virtualclassroom&view=schedule&cid=<?php echo $item['id'] ; ?>"><i class="fa fa-edit"></i>&nbsp;&nbsp;<?php echo JText::_('Edit');?></a>
                    </li>
                    <li><a href="index.php?option=com_virtualclassroom&view=attendance_report&cid=<?php echo $item['id'] ; ?>"><i class="fa fa-user"></i>&nbsp;&nbsp;<?php echo JText::_('ATTENDANCE_REPORT');?></a>
                    </li>

                    <?php if($item['isCancel']==1 || $item['isCancel']==2){ ?>
                        <li><a href="<?php echo "index.php?option=com_virtualclassroom&view=listclass&task=activeclass&id=".$item['id']?>" onclick="return confirm('Are you sure you want to active this class?')"><i class="icon icon-plus"></i> Active class</a>
                        </li>
                    <?php } else{ ?>
                        <?php if($item['repeat']==0){ ?>
                            <li><a href="<?php echo "index.php?option=com_virtualclassroom&view=listclass&task=cancelclass&isCancel=1&id=".$item['id']?>" onclick="return confirm('Are you sure you want to cancel this class?')"><i class="fa fa-minus-circle"></i> Cancel class</a>
                            </li>   
                        <?php }else{ ?>
                            <li><a href="#" onclick="cancelclass(<?php echo $item['id'];?>,'<?php echo $item['title'];?>')"><i class="fa fa-minus-circle"></i> Cancel class</a>
                            </li>
                        <?php }?>
                    <?php }?>


                    <li class="divider"></li>

                    <?php if(strtolower($item['status'])!="past"){ ?> 
                    <li> 
                    <a href="index.php?option=com_virtualclassroom&view=invite_by_email&cid=<?php echo $item['id'] ; ?>"> <i class="fa fa-envelope"></i> <?php echo JText::_('INVITE_BY_EMAIL');?> </a> 
                    </li>
                    <li> 
                    <a href="index.php?option=com_virtualclassroom&view=invite_by_users&cid=<?php echo $item['id'] ; ?>"> <i class="fa fa-envelope"></i> <?php echo JText::_('INVITE_USERS');?></a> 
                    </li>

                    <li> 
                    <a href="index.php?option=com_virtualclassroom&view=invite_by_groups&cid=<?php echo $item['id'] ; ?>"> <i class="fa fa-envelope"></i> <?php echo JText::_('INVITE_USERS_GROUP');?></a> 
                    </li>
                    <li class="divider"></li>
                    <?php } ?>
                        
               <?php if($item['ispaid'] == 1){ ?> 
                <li>
                     <a href="index.php?option=com_virtualclassroom&view=listprice&class_id=<?php echo $item['id']?>" ><i class="fa fa-shopping-cart"></i> <?php echo JText::_('SHOPPING_CART');?>
                    </a>
                </li>
                <li>
                       <a href="index.php?option=com_virtualclassroom&view=listdiscount&class_id=<?php echo $item['id']?>" ><i class="fa fa-ticket"></i> <?php echo JText::_('DISCOUNTS');?></a>
                 </li>
                 <?php } ?>

                 <?php 
                 $record = $model->getrecorcount($item['id']);   
                 if($item['record'] && !isset($record["Recording"])){ ?> 
                <li>
                    <a href="index.php?option=com_virtualclassroom&view=recordings&layout=viewrecording&class_id=<?php echo $item['id']?>" ><i class="fa fa-play-circle"></i> <?php echo JText::_('VIEW_CLASS_RECORDING');?></a>
                </li>
                <li>
                  <a href="index.php?option=com_virtualclassroom&view=recordings&class_id=<?php echo $item['id']?>" ><i class="fa fa-play-circle"></i> <?php echo JText::_('MANAGE_RECORDING');?></a>
                </li>
                <?php }?>
            </div>
                    </div>
                    <?php } ?>
                    </td>

                </tr>

            <?php  } } ?>
        </tbody>
        <tfoot>
             
            <tr>
                <td colspan="13">

                    <?php  

                    if(@count($allowClass_list) > 10 || empty($allowClass_list)){
                    echo $this->pagination->getListFooter();
                      }
                     ?>
                </td>
            </tr>
        </tfoot>
    </table>

    <div>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
        <?php echo JHtml::_('form.token'); ?>
    </div>
</form>
 
<div id="loginmodal" class="modal hide fade" role="dialog">
  <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Cancel Class</h4>
      </div>
      <div class="modal-body">
            <div class="login">
            <form action="index.php?option=com_users&task=user.login" method="post" class="form-validate form-horizontal well">
            <fieldset>
            <div class="control-group">
                <div class="control-label">
                    <label id="username-lbl" for="username" class="required">
                    Username<span class="star">&nbsp;*</span></label>
                </div>
                <div class="controls">
                    <input name="username" id="username" value="" class="validate-username required" size="25" required="required" aria-required="true" autofocus="" aria-invalid="true" type="text"> 
                </div>
            </div>
            <div class="control-group">
                <div class="control-label">
                    <label id="password-lbl" for="password" class="required">Password<span class="star">&nbsp;*</span></label>
                </div>
                <div class="controls">
                <input name="password" id="password" value="" class="validate-password required" size="25" maxlength="99" required="required" aria-required="true" type="password"> 
                </div>
            </div>


            <div class="control-group">
                <div class="control-label"><label>Remember me</label></div>
                <div class="controls"><input id="remember" name="remember" class="inputbox" value="yes" type="checkbox"></div>
            </div>
            <div class="control-group">
                <div class="controls">
                    <button type="submit" class="btn btn-primary">Log in</button>
                </div>
            </div>
            <?php $return_url = base64_encode('index.php?option=com_virtualclassroom&view=listclass&Itemid=124'); ?>
            <input name="return" value="<?php echo $return_url;?>" type="hidden">
           <?php echo JHtml::_('form.token'); ?>     </fieldset>
            </form>
            </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>

<div id="cancelclassModal" class="modal hide fade" role="dialog" style="top: 50%;width: 50%;left: 60%;overflow: hidden;">
  <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h2 class="modal-title"><?php echo JTEXT::_("CANCEL_RECURRING_CLASS")?></h2>
      </div>
      <form action="index.php?option=com_virtualclassroom&view=listclass&task=cancelclass" method="post" style="margin: 0" class="form-horizontal form-validate row-fluid">
      <div class="modal-body">
            <div class="control-group">
                    <label><b><?php echo JTEXT::_("CANCEL_RECURRING_CLASS_DESCRIPTION")?> <span class="class_title"></span> ? </b></label>
                    <div>
                        <input type="radio" name="isCancel" value="1" checked="checked" style="margin: 0 5px;"><?php echo JTEXT::_("CANCEL_CURRENT_CLASS")?> 
                    </div>
                    <div>
                        <input type="radio" name="isCancel" value="2" style="margin: 0 5px;"><?php echo JTEXT::_("CANCEL_ALL_CLASSES")?> 
                    </div>
            </div>
      </div>
      <div class="modal-footer">
        <input type="hidden" id="cancelclassid" name="id" value="">
        <button type="submit" class="btn btn-primary">Save</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
      </form>
    </div>

  </div>
</div>
 

