<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script', 'system/multiselect.js', false, true);
 

$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_virtualclassroom');
$saveOrder = $listOrder == 'a.ordering';
$input = JFactory::getApplication()->input;
jimport('joomla.form.form');
JForm::addFormPath(JPATH_COMPONENT . '/models/forms');

$class_id = JRequest::getVar('class_id');

$app = JFactory::getApplication();
$isroot = $user->authorise('core.admin');
$isteacher = virtualclassroomHelper::isteacher();
$classdetail = virtualclassroomHelper::classdetail($class_id);
if ($user->guest || ($isteacher==0 && $isroot==0)) {
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
}
$is_access=0;
if($user->id ==$classdetail[0]['created_by'] || $user->id ==$classdetail[0]['instructor_id'] || $isroot==1){
    $is_access=1;
}
if($is_access==0){
    $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
}
 
?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/administrator/components/com_virtualclassroom/assets/css/font-awesome.css" type="text/css" />
<?php  if(JVERSION < 3) {?>

<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/bootstrap/bootstrap.min.css" type="text/css" />

<?php } ?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/vlcr_style.css" type="text/css" />
<a href="index.php?option=com_virtualclassroom&view=addprice&class_id=<?php echo $class_id?>" class="btn btn-primary">Add</a>
<form action="<?php echo JRoute::_('index.php?option=com_virtualclassroom&view=listprice&class_id='.$class_id); ?>" method="post" name="adminForm" id="adminForm">
    
    <div class="clr"> </div>

    <table class="adminlist table table-striped price_list">
        <thead>
            <tr>
                <th><?php echo JText::_('PRICE_ID');?></th>
                <th><?php echo JText::_('PRICE');?></th>
                <th><?php echo JText::_('PRICE_SCHEME_DAYS');?></th>
                <th><?php echo JText::_('PRICE_LIFETIME');?></th>
                <th><?php echo JText::_('PRICE_TIMES');?></th>
                <th><?php echo JText::_('PRICE_NUMBERTIMES');?></th>
                <th><?php echo JText::_('options');?></th>
            </tr>
        </thead>
        <tbody>
            <?php

            $data = $this->listprice;
             if(@$data['0']){
            foreach ($data as $i => $item) {
                $ordering = ($listOrder == 'a.ordering');
                $canCreate = $user->authorise('core.create', 'com_virtualclassroom');
                $canEdit = $user->authorise('core.edit', 'com_virtualclassroom');
                $canCheckin = $user->authorise('core.manage', 'com_virtualclassroom');
                $canChange = $user->authorise('core.edit.state', 'com_virtualclassroom');
                ?>
                <tr class="row<?php echo $i % 2; ?>">
                    <td class="center">
                        <?php echo $item['id']; ?>
                    </td>
                     <td class="center">
                        <?php echo $item['scheme_price']; ?>
                    </td>
                     <td class="center">
                        <?php echo $item['scheme_days'] ; ?>
                    </td>
                     <td class="center">

                        <?php
                                    if ($item['lifetime'] == "1") {
                                        echo "Unlimited";
                                    } elseif ($item['lifetime'] == "0") {
                                        echo "Fix Day";
                                    }
                                    ?>
                    </td>
                    <td class="center">
                        <?php if($item['times'] == 0){
                           $times = JText::_('UNLIMITED');
                        }
                        if($item['times'] == 1){
                           $times = JText::_('LIMITED');
                        }
                        ?>
                        <?php echo $times; ?>
                    </td>
                    
                    <td class="center">
                        <?php echo $item['numbertimes'] ; ?>
                    </td>
                    <td class="center">
                        <a href="index.php?option=com_virtualclassroom&view=addprice&class_id=<?php echo $class_id?>&cid=<?php echo $item['id'];?>"><i class="fa fa-edit"></i></a>
                        <a href="index.php?option=com_virtualclassroom&view=listprice&task=delete&class_id=<?php echo $class_id?>&cid=<?php echo $item['id'];?>"><i class="fa fa-trash"></i></a>
                    </td>
                     
                </tr>
            <?php } ?>
            <?php  } ?>
        </tbody>
    </table>

    <div>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="class_id" value="<?php echo $class_id; ?>" />
         
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
        <?php echo JHtml::_('form.token'); ?>
    </div>
</form>