<?php

/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
 
defined('_JEXEC') or die;

jimport('joomla.application.component.modellist');

jimport('joomla.application.component.helper');
 
class virtualclassroomModelpayment extends JModelList {

    /**
     * Constructor.
     *
     * @param    array    An optional associative array of configuration settings.
     * @see        JController
     * @since    1.6
     */
    public function __construct($config = array()) {
         parent::__construct($config);
    }
  

   public function Getlistpayment(){
        $db = JFactory::getDBO();
        $filter    = JRequest::getVar('search');
        $query = $db->getQuery(true);
        $query->select('p.*, u.`name` as uname');
        $query->from($db->quoteName('#__virtualclassroom_purchase', 'p'));
        $query->join('LEFT', $db->quoteName('#__users', 'u') . ' ON ' . $db->quoteName('u.id') . ' = ' . $db->quoteName('p.payer_id'));
        if($filter){
            $query->where($db->quoteName('u.name') . ' LIKE %' . $filter.'%');
        }
        $db->setQuery($query);
        $class_details = $db->loadAssocList();
        return $class_details;
   }
}