<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View to edit
 */
class virtualclassroomViewpermissions extends JViewLegacy
{
	 

	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{
 
		$task = JRequest::getVar('task');
		
		$this->addToolbar();
		 $input = JFactory::getApplication()->input;
		$view = $input->getCmd('view', '');
        bcvcHelper::addSubmenu($view);
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 */
	 
	protected function addToolbar()
	{
		require_once JPATH_COMPONENT.'/helpers/bcvc.php';
		//JFactory::getApplication()->input->set('hidemainmenu', true);

		$user		= JFactory::getUser();
	 
        if (isset($this->item->checked_out)) {
		    $checkedOut	= !($this->item->checked_out == 0 || $this->item->checked_out == $user->get('id'));
        } else {
            $checkedOut = false;
        }
		$canDo		= bcvcHelper::getActions();

		JToolBarHelper::title(JText::_('SET_PERMISSION'), 'user.png');
		
		JToolBarHelper::back('Home',"index.php?option=com_virtualclassroom");
		// If not checked out, can save the item.
		if (!$checkedOut && ($canDo->get('core.edit')||($canDo->get('core.create'))))
		{

			JToolBarHelper::apply('setpermission.apply1', 'JTOOLBAR_APPLY');
			JToolBarHelper::save('setpermission.save', 'JTOOLBAR_SAVE');
		}
		 
		if (empty($this->item->id)) {
			JToolBarHelper::cancel('setpermission.cancel1', 'JTOOLBAR_CANCEL');
		}
		else {
			JToolBarHelper::cancel('setpermission.cancel1', 'JTOOLBAR_CLOSE');
		}

	}
}
