<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View to edit 
 */
class virtualclassroomViewschedule extends JViewLegacy
{
	 

	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{
		 


		//$this->state	= $this->get('State');
		//$this->item		= $this->get('Item');
		//$this->form		= $this->get('Form');
	 
		$task = JRequest::getVar('task');
		$cid = JRequest::getVar('cid');
		 
		$model = $this -> getModel('schedule');
		$instructor_name='';
		if($cid){
			$this ->classdata = $model -> classdata($cid);
			$instructor_name=$model -> getinstructorname($this ->classdata['0']['instructor_id']);

		}	
		$this->instructor_name=$instructor_name;
		$this->instructoruserlist= $model -> getinstructoruserlist();

		$this ->getplan = $model -> getplan();
		$this ->vlcr_getservers = $model -> get_vlcr_getservers();
		$this ->vlcr_timezoneList = $model -> vlcr_timezoneList(); 	

		$this->addToolbar();
		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 */
	 
	protected function addToolbar()
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);

		$user		= JFactory::getUser();
	 
       
       $checkedOut = false;
        
		$canDo		= bcvcHelper::getActions();

		JToolBarHelper::title(JText::_('SCHEDULE'), 'class_list.png');
		JToolBarHelper::back('Home',"index.php?option=com_virtualclassroom");
		// If not checked out, can save the item.
		if (!$checkedOut && ($canDo->get('core.edit')||($canDo->get('core.create'))))
		{

			JToolBarHelper::apply('schedule.apply1', 'JTOOLBAR_APPLY');
			JToolBarHelper::save('schedule.save', 'JTOOLBAR_SAVE');
		}
		 
		 
		if (empty($this->item->id)) {
			JToolBarHelper::cancel('schedule.cancel1', 'JTOOLBAR_CANCEL');
		}
		else {
			JToolBarHelper::cancel('schedule.cancel1', 'JTOOLBAR_CLOSE');
		}

	}
}
