<?php

/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website 	https://www.braincert.com
 * @author      BrainCert
 */
 
defined('_JEXEC') or die;

jimport('joomla.application.component.modellist');

jimport('joomla.application.component.helper');
 
class virtualclassroomModelrecordings extends JModelList {

    /**
     * Constructor.
     *
     * @param    array    An optional associative array of configuration settings.
     * @see        JController
     * @since    1.6
     */
    public function __construct($config = array()) {
      

        parent::__construct($config);
    }

    
   public function Getrecordings(){
     $db = JFactory::getDBO();
        $class_id = JRequest::getVar('class_id');
        $search    = JRequest::getVar('search');
        $data['search'] = $search;
        $data['task'] = 'getclassrecording';
        $data['class_id'] = $class_id;
        $result = virtualclassroomHelper::vlcr_get_curl_info($data);
        return $result;
   }
   public function downloadRecord(){

    $key = JComponentHelper::getParams('com_virtualclassroom')->get('braincert_api_key');
    $base_url = JComponentHelper::getParams('com_virtualclassroom')->get('braincert_base_url');

    $class_id=JRequest::getVar('class_id');
    $user = JFactory::getUser();     
    $app = JFactory::getApplication();
    $isroot = $user->authorise('core.admin');
    $isteacher = virtualclassroomHelper::isteacher();
    $classdetail = virtualclassroomHelper::classdetail($class_id);
    if ($user->guest || ($isteacher==0 && $isroot==0) || $class_id<1) {
        $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
    }
    $is_access=0;
    if($user->id ==$classdetail[0]['created_by'] || $user->id ==$classdetail[0]['instructor_id'] || $isroot==1){
        $is_access=1;
    }
    if($is_access==0){
        $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
    }

            $data1['apikey'] = $key;
            $data1['name'] = JRequest::getVar('file');
            $data1['task'] = 'downloadRecord';
            $data_string = http_build_query($data1);
        
            $ch = curl_init($base_url);

            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false); 
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
                ob_clean();
                $result_data = curl_exec($ch);
                header('Content-Transfer-Encoding: binary');  // For Gecko browsers mainly
                header('Content-Type: application/octet-stream');
                header('Content-Length:'.strlen($result_data));
                header('Content-Disposition: attachment; filename="'.$data1['name'].'"');
                echo $result_data;
                exit;
    }
    public function delete(){
        $app = JFactory::getApplication();
        $data = $_REQUEST;
        $class_id=JRequest::getVar('class_id');
        $user = JFactory::getUser();     
        $app = JFactory::getApplication();
        $isroot = $user->authorise('core.admin');
        $isteacher = virtualclassroomHelper::isteacher();
        $classdetail = virtualclassroomHelper::classdetail($class_id);
        if ($user->guest || ($isteacher==0 && $isroot==0) || $class_id<1) {
            $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);    
        }
        $is_access=0;
        if($user->id ==$classdetail[0]['created_by'] || $user->id ==$classdetail[0]['instructor_id'] || $isroot==1){
            $is_access=1;
        }
        if($is_access==0){
            $app -> redirect('index.php?option=com_virtualclassroom&view=listclass',$msg);       
        }
    
        $data1['id'] = $data['cid'];
        $data1['task'] = 'removeclassrecording';
        $result = virtualclassroomHelper::vlcr_get_curl_info($data1);
        if($result->status == 'ok'){
           $msg = "Record successfully removed";
            $app -> redirect('index.php?option=com_virtualclassroom&view=recordings&class_id='.$data['class_id'],$msg);
         }
         if($result->status == 'error'){
            $msg = $result->error;
            $app -> redirect('index.php?option=com_virtualclassroom&view=recordings&class_id='.$data['class_id'],$msg);
         }
         
    }

}
