<?php

/**
 * @version		$Id: view.html.php 15 2009-11-02 18:37:15Z chdemko $
 * @package		Joomla16.Tutorials
 * @subpackage	Components
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author		Christophe Demko
 * @link		http://joomlacode.org/gf/project/classroomengine_1_6/
 * @license		License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * HTML View class for the ClassroomEngine Component
 */
class virtualclassroomViewinviteclass extends JViewLegacy
{
	// Overwriting JView display method
	function display($tpl = null) 
	{
		
		$app = &JFactory::getApplication();
		$token = JRequest::getVar('token');
		$task = JRequest::getVar('task');
		
		 if($task && $task != '') {
			 
		    switch ($task) {
		       case 'invite_class':
			     
				$data=JRequest::get('post');
				
				 
				$class_new = $this->invite_classs($data);
				 
				$this->assign('class_new',$class_new);
				$this->assign('data_new',$data);
				
				
				break;
				case 'autolaunch':
					$this->autolaunch();
				break;
				
			}	
		 }
		parent::display($tpl);
	}
	function autolaunch(){

		$starttime = JRequest::getVar('starttime');
		$currenttime=time();
		$diff = ($starttime -  $currenttime);
		
		$check_live = array();
		if($diff<=0){
			$check_live = 0;
		}else{
			$check_live = 1;
		}
		echo $check_live;
		exit;
	}
	function invite_classs($data){
		$model	= &$this->getModel('inviteclass');
		$rs=$model->invite_class_model($data);
		$uuname =$rs->name;
		$data1['task'] = 'getclass';
    	$data1['class_id'] = $rs->class_id;
        $result = virtualclassroomHelper::vlcr_get_curl_info($data1);
        return (object)$result[0];
	}
}
