<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014 BrainCert, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @website     https://www.braincert.com
 * @author      BrainCert
 */
// no direct access
defined('_JEXEC') or die;

$user = JFactory::getUser();
$key = JComponentHelper::getParams('com_virtualclassroom')->get('braincert_api_key');
$base_url = JComponentHelper::getParams('com_virtualclassroom')->get('braincert_base_url');
$model=$this->getModel();
$id=JRequest::getVar('id');
$data = $model->class_detail($id);
$pricelist=$model->get_priceList($id);
$listdiscount=$model->get_discountList($id);
$allowClass_list = $model->getgroupclass();
$paymentInfo = $model -> get_paymentInfo();
$getplan=$model->getplan();
$doc =JFactory::getDocument();
$doc->addStylesheet('components/com_virtualclassroom/assets/css/vlcr_style.css');
?>
<script type="text/javascript">
var bootstrapCssFound = false;
for (var i = 0; i < document.styleSheets.length; i++) {
    if (document.styleSheets[i].href !== null) {
        var s = document.styleSheets[i].href;
        if (s.indexOf("bootstrap.css") !== -1) {
            bootstrapCssFound = true;
            break;
        }
        if (s.indexOf("bootstrap.min.css") !== -1) {
            bootstrapCssFound = true;
            break;
        }
    }
}
if (!bootstrapCssFound) {
    jQuery('head').append(
        jQuery('<link rel="stylesheet" type="text/css" href="components/com_virtualclassroom/assets/css/bootstrap/bootstrap.min.css" />')
    );
}
</script>
<?php 
$ogurl = JURI::base().'index.php?option=com_virtualclassroom&view=listclass&layout=classdetail&Itemid=124&id='.$id; 
$login_user_email = $user->email;
$currencysym='';
switch(strtoupper($data[0]['currency'])){
    case "GBP":
        $currencysym = "£";
    break;
    case "CAD":
        $currencysym = "$";
    break;
    case "AUD":
        $currencysym = "$";
    break;
    case "EUR":
        $currencysym = "€";
    break;
    case "INR":
        $currencysym = "₹";
    break;
    default:
        $currencysym = '$';     

}
?>
<link rel="stylesheet" type="text/css" href="components/com_virtualclassroom/assets/css/font-awesome.min.css" />
<?php  if(JVERSION >= 2.5 && JVERSION < 3) {?>
<script src="components/com_virtualclassroom/assets/js/bootstrap/jquery.min.js"></script>
<script src="components/com_virtualclassroom/assets/js/bootstrap/bootstrap.min.js"></script>
<?php } ?>
<script type="text/javascript">
    function buyingbtn(classid){
           jQuery('#buyingModal').modal('toggle');
           jQuery("#pricescheme0").trigger("click");
    }
    function popup(url) 
    {
     params  = 'width='+screen.width;
     params += ', height='+screen.height;
     params += ', top=0, left=0'
     params += ', fullscreen=yes,directories=no,titlebar=no,toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=no,addressbar=no';
    
     newwin=window.open(url,'windowname4', params);
     if (window.focus) {newwin.focus()}
     return false;
    }
</script>
<div>
 <h2><?php echo JText::_('CLASSES');?></h2>
 <hr>
    <form action="<?php echo JRoute::_('index.php?option=com_virtualclassroom&view=listclass'); ?>" method="post" name="adminForm" id="adminForm">
    <div class="clr"> </div>
    <table class="adminlist">
    <tbody>
        <?php
        $model = $this->getModel("listclass"); 
        $isteacher = $model->isteacher(); 
        if($data){
        foreach ($data as $i => $item) {
            $m=0;
            if($user->id==$item['instructor_id'] || $user->id==$item['created_by']){
                $m=1;   
            } 
            if(!empty($allowClass_list)){
                if (!in_array($item['id'], $allowClass_list) && $m==0){
                    echo '<div class="error"><p><strong>ERROR</strong>: You can not access this class.</p></div>';
                    return;
                }
            }
            $enrolled = $model->isEnrolled($item['id']);
            $mins = $item['class_starts_in'] / 60;
            $before_time=0;
            if(strtolower($item['status'])=="upcoming" && $mins>0 && $mins<=30 && $isteacher==1 ){
                $item['status'] = "Live";
                $before_time=1;
            } 
            if(strtolower($item['status']) == "upcoming"){
                $class = "alert alert-warning";
            }
            if(strtolower($item['status']) == "past"){
                $class = "alert alert-danger";
            }
            if(strtolower($item['status']) == "live"){
                $class = "alert alert-success";
            }
            ?>
            <tr>
            <td>
            <div class="class_div">
                <i class="fa fa-bullhorn fa-lg"></i>
                <strong><?php echo $item['title'] ?></strong> &nbsp;
                <?php if($item['isCancel']==1 || $item['isCancel']==2){ ?>
                    <span style="padding: 0px 3px;" class="alert alert-danger">Canceled</span>
                <?php }else{ ?>
                    <span style="padding: 0px 3px;" class="<?php echo $class;?>"><?php echo $item['status'] ?></span>
                <?php } ?>
                <br>
                <?php 
                if(strtolower($item['status']) =='upcoming' && !empty($item['class_next_date'])) { ?>
                    <i class="fa fa-calendar fa-lg"></i> <?php echo date('l, F d, Y', $item['class_next_date']);
                }else {?>   
                    <i class="fa fa-calendar fa-lg"></i><?php echo date('l, F d, Y', strtotime($item['date'])); ?>
                <?php } ?>
                <br>
                <?php $duration = (int)($item['duration'] / 60); ?>
                <i class="fa fa-clock-o fa-lg"></i>
                <?php echo $item['start_time'] . " - " . $item['end_time']; ?> (<?php echo $duration . JText::_('MINUTES');?>) 
                <br>
                <i class="fa fa-globe fa-lg"></i><b><?php echo JText::_('TIME_ZONE');?>:</b> <?php echo $item['label']; ?>    
                <br>
                <div>
                    <?php echo "<b>Description : </b>";?>
                    <?php echo $item['description']; ?>   
                </div>
                <b><?php echo JText::_('Keywords');?>:</b> <?php echo $item['keyword']; ?>  
                <?php 
                if($user->id==$item['instructor_id'] || $user->id==$item['created_by']){
                    $isteacher=1;
                    $enrolled=1;   
                } 
                if($item['ispaid'] && $user->id !=0 && strtolower($item['status'])!="past" && !$enrolled && $isteacher == 0 && $item['isCancel']==0){?>
                        <button class="btn btn-danger btn-large" onclick="buyingbtn(<?php echo $item['id'] ?>); return false;" id=""><h3 class=" "><i class="fa fa-shopping-cart fa-lg"></i><?php echo JText::_('BUY_BTN');?></h3></button>
                <?php } ?>
                <?php    
                if($user->id>0){
                    if(strtolower($item['status']) == "live" && ( ($item['ispaid']==1 && $enrolled) || $item['ispaid']==0 || $isteacher == 1) && $item['isCancel']==0){
                        if($item['instructor_id']=='') { $item['instructor_id']=NULL; } 
                            $launchurl = (object)$model->getclasslaunch($item['id'],$item['title'],$item['instructor_id'],$item['created_by']);
                            $url = str_replace("'\'","",@$launchurl->encryptedlaunchurl);
                            if($url  && strtolower($item['status']) == "live"){?>
                                <br>
                                <?php if($before_time==1){ ?>
                                        <a target="_blank" class="btn btn-primary" style="font-weight: bold;" id="launch-btn" onClick="popup('<?php echo $url;?>')"><?php echo JText::_('Enter to prepare class');?></a>
                                <?php }else{ ?> 
                                        <a target="_blank" class="btn btn-primary" style="font-weight: bold;" id="launch-btn" onClick="popup('<?php echo $url;?>')"><?php echo JText::_('LAUNCH');?></a>
                                <?php }?>
                            <?php } ?>
                    <?php } ?>
                <?php }else{?>
                    <?php if(strtolower($item['status']) != "past" && $item['isCancel']==0){ ?> 
                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#loginmodal" style="margin-top:10px; "><?php echo JText::_('Login');?></button>
                    <?php } ?>
                <?php } ?>                              
            </div>
            <hr>    
            </td>
            </tr>
<?php  } } ?>
</tbody>
</table>
<div>
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
<?php echo JHtml::_('form.token'); ?>
</div>
</form>
</div>
<script src="<?php echo JURI::root(); ?>components/com_virtualclassroom/assets/js/vlcr_countdown.js"></script> 
<div id="loginmodal" class="modal fade" role="dialog">
    <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Login</h4>
        </div>
        <div class="modal-body">
            <div class="login">
                <form action="index.php?option=com_users&task=user.login" method="post" class="form-validate form-horizontal well">
                <fieldset>
                <div class="control-group">
                    <div class="control-label" style="text-align: left">
                        <label id="username-lbl" for="username" class="required">Username<span class="star">&nbsp;*</span></label>
                    </div>
                    <div class="controls">
                        <input name="username" id="username" value="" class="validate-username required" size="25" required="required" aria-required="true" autofocus="" aria-invalid="true" type="text"> 
                    </div>
                </div>
                <div class="control-group">
                    <div class="control-label"  style="text-align: left">
                        <label id="password-lbl" for="password" class="required">Password<span class="star">&nbsp;*</span></label>
                    </div>
                    <div class="controls">
                        <input name="password" id="password" value="" class="validate-password required" size="25" maxlength="99" required="required" aria-required="true" type="password"> 
                    </div>
                </div>
                <div class="control-group">
                    <div class="control-label"  style="text-align: left">
                        <label>Remember me</label>
                    </div>
                    <div class="controls">
                        <input id="remember" name="remember" class="inputbox" value="yes" type="checkbox">
                    </div>
                </div>
                <div class="control-group">
                    <div class="controls">
                        <button type="submit" class="btn btn-primary">Log in</button>
                    </div>
                </div>
                <?php 
                $return_url = base64_encode('index.php?option=com_virtualclassroom&view=listclass&layout=classdetail&Itemid=124&id='.$id); ?>
                <input name="return" value="<?php echo $return_url;?>" type="hidden">
                <?php echo JHtml::_('form.token'); ?>
                </fieldset>
                </form>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
    </div>
    </div>
</div> 

 <?php
$diff=$item['class_starts_in'];
if( (($item['ispaid'] == 1 && strtolower($item['status']) =="upcoming" && $enrolled ) || ( strtolower($item['status']) =="upcoming" && $item['ispaid'] == 0 ) || $isteacher == 1) && $before_time!=1){  ?>
    <script type="application/javascript">
var myCountdownTest = new Countdown({
                    width   : 400, 
                    height: 70,
                    time:<?php echo ($diff) ;?>
                   });
</script> 
<?php   } ?>

<div id="buyingModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="buyingLabel" aria-hidden="true">
<div class="modal-dialog">
<div class="modal-content">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="icon-remove"></i></button>
        <h3 id="buyingLabel">Buying Options</h3>
    </div>
    
    <?php if(isset($pricelist['Price']) && $pricelist['Price']=="No Price in this Class"){
        echo '<div class="modal-body" style="min-height:400px;">'.$pricelist['Price'].'</div>';
    }else{?>
    <div class="modal-body" style="min-height:400px;">
            <div class="card_error" style="display: none;color: #a94442;background-color: #f2dede;border-color: #ebccd1;border-radius: 5px;margin-bottom: 10px;padding: 8px;">
            </div>
    <?php
    $usecoupon = 0;
    for($i=0; $i<count($listdiscount); $i++){
        if($listdiscount[$i]['is_use_discount_code']){
            $usecoupon = 1;
        }
    }
    ?>
     <?php if($usecoupon){ ?>
        <div id="couponmsg"></div>
        <div style="float:right" id="couponcontainer">
           <i class="icon-ticket icon-large" ></i>&nbsp;<input type="text" class="input"  placeholder="Enter coupon code" id="coupon_code" name="coupon_code"  /><button class="btn" id="btnapplycoupon" style="margin-bottom: 10px;">Apply</button>
        </div>
        <br>
    <?php }?>    
        <table class="table table-bordered" id="cartcontainer">
        <thead class="alert alert-info">
            <tr class="success">
                <th>#</th>
                <th>Price($)</th>
                <th>Duration</th>
                <th>Access Type</th>
            </tr>
        </thead>
        <tbody>
        <?php
        $xx = 0;
        foreach($pricelist as $i=>$value) {
            $price = $value['scheme_price'];
            $option_id = $value['id'];
            $subprice = $price;
            $subpricebeforecoupondiscount =$price;
            $chk_price = '<span id="displayprice'.$xx.'">'.$currencysym.' '.number_format($price, 2).'</span>';
            $duration = ($value['lifetime']=='1') ? "Unlimited" : $value['scheme_days'].($value['scheme_days']>1 ? " days" : " day");
            $dur = ($value['lifetime']=='1') ? 9999 : $value['scheme_days'];
            $times = ($value['times']==0) ? "Unlimited" : $value['numbertimes'].($value['numbertimes']>1 ? " times" : " time");  
            $tms = ($value['times']==0) ? -1 : $value['numbertimes'];
            ?>
            <tr class="warning">
                <td>
                    <input type="hidden" id="subpricebeforecoupondiscount<?php echo $xx;?>" value="<?php echo $subpricebeforecoupondiscount; ?>" />
                    <input type="hidden" id="originalprice<?php echo $xx;?>" value="<?php echo  $price; ?>" />
                    <input type="radio" name="pricescheme" id="pricescheme<?php echo $xx;?>" value="<?php echo $subprice; ?>" duration="<?php echo $dur; ?>" times="<?php echo $tms; ?>" option_id="<?php echo $option_id; ?>"/></td>
                <td><?php echo $chk_price; ?></td>
                <td><?php echo $duration; ?></td>
                <td><?php echo $times; ?></td>
            </tr>
            <?php if($xx==0){?> 
                <script>
                jQuery(document).ready(function () {
                    jQuery("#pricescheme<?php echo $xx;?>").trigger("click");
                });
                </script>
            <?php }?>
        <?php
        $xx++;
        }
        ?>
        </tbody>
        </table>
        <div id="paymentcontainer">
        <input type="hidden" id="priceoptioncounter" value="<?php echo $xx;?>" />
        <input type="hidden" id="class_coupon_code" value="" />
        <?php
        if ($paymentInfo['type'] == '1') {
        ?>
        <div class="row">
            <div class="span5">
                <fieldset>
                    <p style="display:none" class="alert payment-message"></p>
                    <input type="hidden" name="access_token" id="access_token" value="<?=$paymentInfo['access_token']?>">
                    <input type="hidden" name="item_number" id="item_number" value="">
                    <div class="control-group">
                        <label style="width: 140px; padding-top: 5px; float: left; text-align: right;">Cardholder Name</label>
                        <div style="margin-left: 160px;">
                            <input type="text" tabindex="4" class="required" name="full_name" id="full_name">
                        </div>
                    </div>
                    <div class="control-group">
                        <label style="width: 140px; padding-top: 5px; float: left; text-align: right;">Card Number &amp; CCV</label>
                        <div style="margin-left: 160px;">
                            <input type="text" tabindex="5" name="card-number" class="card-number stripe-sensitive required" autocomplete="off" style="width: 130px;" maxlength="16">
                            <input type="text" tabindex="6" name="card-cvc" class="card-cvc stripe-sensitive required" autocomplete="off" style="width: 50px;" maxlength="16">
                            <i class="icon-lock"></i>
                        </div>
                    </div>
                    <div class="control-group">
                        <label style="width: 140px; padding-top: 5px; float: left; text-align: right;">Expiration Date</label>
                        <div style="margin-left: 160px;">
                            <select tabindex="7" class="card-expiry-month stripe-sensitive required" style="width: 60px;">
                                <option selected="" value="1">1</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                                <option value="5">5</option>
                                <option value="6">6</option>
                                <option value="7">7</option>
                                <option value="8">8</option>
                                <option value="9">9</option>
                                <option value="10">10</option>
                                <option value="11">11</option>
                                <option value="12">12</option>
                            </select>
                            <span> / </span>
                            <select tabindex="8" name="card-expiry-year" class="card-expiry-year stripe-sensitive required" style="width: 80px;">
                                <?php
                                for ($i= date('Y'); $i <= date('Y')+10; $i++)
                                {
                                echo '<option  value="'.$i.'">'.$i.'</option>'; 
                                } 
                                ?>
                            </select>
                        </div>
                    </div>
                </fieldset>
            </div>
            <div class="span3 helptext">
                <p>Your payment information is encrypted and securely processed by <a href="https://stripe.com" target="_blank" class="stripe">Stripe</a>.</p>
                <p><img alt="Uses Secure SSL Technology" src="https://drpyjw32lhcoa.cloudfront.net/9d61ecb/img/lock.png"><img alt="We accept Visa, Mastercard, Discover, and American Express" src="https://drpyjw32lhcoa.cloudfront.net/9d61ecb/img/cards.png"></p>
            </div>
        </div>
        <?php }else{ ?>
            <img src="components/com_virtualclassroom/assets/images/secured-by-paypal.jpg" /> 
        <?php } ?>
        </div>
    </div>
    <div class="modal-footer">
        <input type="hidden" name="class_final_amount" id="class_final_amount" value="">
        <input type="hidden" name="class_price_id" id="class_price_id" value="">

        <h5 style="float: left;font-size: 16px;" class="subtotal_class">Subtotal:&nbsp;&nbsp;</h5>
        <div style="float: left;" class="subtotal_class" id="subvalue"></div>
        <div id="btncontainer" style="float: right;"> <button id="btnCheckout" class="btn btn-primary">Buy Class</button>
        </div>
        <div id="txtprocessing" style="display:none;float: right;">Processing... Don't close.</div>  
        <p></p>  
    </div>
 <?php } ?>
</div></div></div>  

<script type="text/javascript">
jQuery(document).ready(function (){
    jQuery("body").on('click',"#btnFreeCheckout",   function() {
        jQuery("#btncontainer").css('display','none');
        jQuery("#txtprocessing").css('display','');
        var orgamount = jQuery("#class_final_amount").val();
        var class_id = '<?php echo $id;?>';
        var price_id = jQuery("#class_price_id").val();
        var cancelUrl = '<?php echo $ogurl?>';
        var returnUrl = '<?php echo $ogurl;?>&task=returnpayment&class_id='+class_id+'&amount='+orgamount+'&payment_mode=paypal';
        var card_holder_name = jQuery(".full_name").val();
        var card_number = jQuery(".card-number").val();
        var card_cvc = jQuery(".card-cvc").val();
        var card_expiry_month = jQuery(".card-expiry-month").val();
        var card_expiry_year = jQuery(".card-expiry-year").val();
        var student_email = '<?php echo $login_user_email;?>';
        var class_coupon_code = jQuery("#class_coupon_code").val();
        jQuery.ajax({
            url: "<?php echo $ogurl; ?>&task=class_checkout",
            type: "POST",
            data: {class_id: class_id,price_id:price_id,cancelUrl:cancelUrl,returnUrl:returnUrl,card_holder_name:card_holder_name,card_number:card_number,card_cvc:card_cvc,card_expiry_month:card_expiry_month,card_expiry_year:card_expiry_year,student_email:student_email,coupon_code:class_coupon_code},
            success: function(result) {
                var obj = jQuery.parseJSON(result);
                var url = "<?php echo $ogurl;?>&task=returnpayment&class_id="+class_id+"&amount="+orgamount+"&payment_mode=discount";
                            window.top.location.href = url;
                jQuery("#btncontainer").css('display','block');
                jQuery("#txtprocessing").css('display','none');
            }
        });
    });
    jQuery("#btnCheckout").click(function (event) {
        var plan_commission = '<?php echo $getplan['commission'];?>';
        <?php if($paymentInfo['type'] == '0'){ ?>
            if(plan_commission==0){
                jQuery('#paypal_form_one_time').submit();
                return false;
            }
        <?php } ?>
        jQuery("#btncontainer").css('display','none');
        jQuery("#txtprocessing").css('display','');
        var orgamount = jQuery("#class_final_amount").val();
        var class_id = '<?php echo $id;?>';
        var price_id = jQuery("#class_price_id").val();
        var cancelUrl = '<?php echo $ogurl?>';
        var returnUrl = '<?php echo $ogurl;?>&task=returnpayment&class_id='+class_id+'&amount='+orgamount+'&payment_mode=paypal';
        var card_holder_name = jQuery(".full_name").val();
        var card_number = jQuery(".card-number").val();
        var card_cvc = jQuery(".card-cvc").val();
        var card_expiry_month = jQuery(".card-expiry-month").val();
        var card_expiry_year = jQuery(".card-expiry-year").val();
        var student_email = '<?php echo $login_user_email;?>';
        var class_coupon_code = jQuery("#class_coupon_code").val();
        jQuery.ajax({
            url: "<?php echo $ogurl; ?>&task=class_checkout",
            type: "POST",
            data: {class_id: class_id,price_id:price_id,cancelUrl:cancelUrl,returnUrl:returnUrl,card_holder_name:card_holder_name,card_number:card_number,card_cvc:card_cvc,card_expiry_month:card_expiry_month,card_expiry_year:card_expiry_year,student_email:student_email,coupon_code:class_coupon_code},
            success: function(result) {
                var obj = jQuery.parseJSON(result);
                if(obj.status=="error"){
                    jQuery(".card_error").show().html(obj.error);
                }
                if(obj.status=="ok"){
                    jQuery(".card_error").hide();
                    if(obj.payKey){
                        jQuery("#paykey").val(obj.payKey);
                        jQuery("#submitBtn").trigger('click');
                        jQuery('#modal-content').dialog('close');
                    }else{
                        if(obj.charge_id){
                            var url = "<?php echo $ogurl;?>&task=returnpayment&class_id="+class_id+"&amount="+orgamount+"&payment_mode=stripe";
                            window.top.location.href = url;
                        }    
                    }   
                }
                jQuery("#btncontainer").css('display','block');
                jQuery("#txtprocessing").css('display','none');
            }
        });
    });
    jQuery('input[name=pricescheme]').click(function (event) {
        var selval = jQuery(this).val();
        jQuery('#subvalue').text("<?php echo $currencysym;?>" + selval);
        var _amnt=returnMoney(selval);
        var _option_id=jQuery(this).attr('option_id');
        jQuery("#class_final_amount").val(_amnt);
        jQuery("#class_price_id").val(_option_id);
        jQuery("#one_time_amount").val(_amnt);
        var class_id = '<?php echo $id;?>';
        var returnUrl_one_time = '<?php echo $ogurl;?>&task=returnpayment&class_id='+class_id+'&amount='+_amnt+'&payment_mode=paypal';  
        jQuery("#return_url").val(returnUrl_one_time);
        var base_url_api = '<?php if(strpos($base_url, 'braincert.org') !== false) { echo "https://www.braincert.org/";}else{ echo "https://www.braincert.com/";}?>';

        var ipnurl = base_url_api+'index.php?option=com_classroomengine&view=classdetails&task=returnpaypalapi&Id='+class_id+'&student_email=<?php echo $user->email;?>&item_number='+_option_id;
        jQuery(".one_time_notify_url").val(ipnurl);
    });

    jQuery("#btnapplycoupon").click(function (event) {
            if (jQuery("#coupon_code").val() == "") {
                alert("Please enter coupon code!");
                return;
            }
        
            var class_id = '<?php echo $id;?>';

            jQuery.ajax({
                url: "<?php echo $ogurl; ?>&task=validatecoupon",
                cache:false,
                data: {class_id: class_id, coupon_code: jQuery("#coupon_code").val()},
                success: function (result) {  
                    var result = jQuery.parseJSON(result);
                    if (result.status == "ok") {

                        var cnt = jQuery("#priceoptioncounter").val();
                        var discount_type = result.discount_type;
                        var discount_value = parseFloat(result.discount_value);
                        jQuery("#class_coupon_code").val(jQuery("#coupon_code").val());
                        var coupon100 = 0;
                        for(i=0;i<cnt;i++){
                            var baseprice = parseFloat(jQuery("#subpricebeforecoupondiscount"+i).val());
                            var originalprice = parseFloat(jQuery("#originalprice"+i).val());
                            disprice = discount_value;
                            if(discount_type=='percentage') {
                             disprice = (baseprice*discount_value)/100;
                            }
                          
                            var newprice = baseprice - disprice;
                            newprice = newprice.toFixed(2);
                            originalprice = originalprice.toFixed(2);
                            
                            if(newprice <= 0 ){
                                coupon100 = 1;
                            }
                           
                           jQuery("#pricescheme"+i).val(newprice);
                           html = '<strike style="font-style: italic;" ><?php echo $currencysym;?>'+originalprice+'</strike></span>&nbsp;<span style="color: red;" ><?php echo $currencysym; ?> '+newprice+'</span>';
                           jQuery("#displayprice"+i).html(html);
                           jQuery("#couponmsg").removeClass('alert-danger');
                           jQuery("#couponmsg").addClass("alert alert-success");
                           jQuery("#couponmsg").html("Coupon has been applied");
                           
                        if(coupon100==1){
                                 opened = 1;
                                 jQuery('#cartcontainer').css('display','none');
                                 jQuery('#couponcontainer').css('display','none');
                                 jQuery('#paymentcontainer').css('display','none');
                                 jQuery('.subtotal_class').css('display','none');
                                  jQuery('#btncontainer').html('<button id="btnFreeCheckout" class="btn btn-success">Enroll</button></div><div id="txtprocessing" style="display:none;">Processing... Don\'t close.');
                                 jQuery("#couponmsg").html("100% Coupon has been applied");
       
                            }
                            jQuery("#pricescheme0").trigger("click");
                        }
                    }
                    else{
                            jQuery("#couponmsg").removeClass('alert-success');
                        jQuery("#couponmsg").addClass("alert alert-danger");
                        jQuery("#couponmsg").html("The coupon code that you entered is invalid. Please enter a different code");
                         }
                },
                type: "POST"
            });

        });

});

function returnMoney(number) {
    var nStr = '' + Math.round(parseFloat(number) * 100) / 100;
    var x = nStr.split('.');
    var x1 = x[0];
    var x2 = x.length > 1 ? '.' + x[1] : '.00';
    var rgx = /(\d+)(\d{3})/;
    while (rgx.test(x1)) {
        x1 = x1.replace(rgx, '$1' + ',' + '$2');
    }
    return x1 + x2;
}
</script>
<script src="https://www.paypalobjects.com/js/external/dg.js" type="text/javascript"></script>
<?php 
    if(strpos($base_url, 'braincert.org') !== false) {
        $paypalurl = 'https://www.sandbox.paypal.com/webapps/adaptivepayment/flow/pay';
    } else {
        $paypalurl = 'https://www.paypal.com/webapps/adaptivepayment/flow/pay';
    }
?>
<form action="<?php echo $paypalurl;?>" target="PPDGFrame" class="standard" >
    <input type="image" id="submitBtn" value="Pay with PayPal" style="display: none;">
    <input id="type" type="hidden" name="expType" value="lightbox">
    <input id="paykey" type="hidden" name="paykey" value="">
</form>
<script type="text/javascript" charset="utf-8">
var embeddedPPFlow = new PAYPAL.apps.DGFlow({trigger: 'submitBtn'});
    if (window != top) {  
        top.location.replace(document.location); 
    }  
embeddedPPFlow = top.embeddedPPFlow || top.opener.top.embeddedPPFlow;
embeddedPPFlow.closeFlow();
</script>
<form action="https://www.<?php echo strpos($base_url, 'braincert.org') !== false ? 'sandbox.' : ''; ?>paypal.com/cgi-bin/webscr" method="post" class="paypal-form" target="_top" id="paypal_form_one_time">
    <input type="hidden" name="cmd" value="_xclick">
    <input type="hidden" name="amount" id="one_time_amount" value="">
    <input type="hidden" name="business" value="<?php echo $paymentInfo['paypal_id']; ?>">
    <input type="hidden" name="item_name" value="<?php echo $item['title']; ?>">
    <input type="hidden" name="currency_code" value="<?php echo strtoupper($item['currency']); ?>">
    <input type="hidden" name="no_note" value="1">
    <input type="hidden" name="no_shipping" value="1">
    <input type="hidden" name="rm" value="1">
    <input type="hidden" name="custom" value="">
    <input type="hidden" name="return" id="return_url" value="">
    <input type="hidden" name="cancel_return" value="<?php echo $ogurl; ?>">
    <input type="hidden" name="notify_url" class="one_time_notify_url" value="">
</form>