<?php
/**
 * @version     1.0.0
 * @package     com_virtualclassroom
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      <support@braincert.com> - http://
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
 
$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_virtualclassroom');
$saveOrder = $listOrder == 'a.ordering';
$input = JFactory::getApplication()->input;
 

$document= JFactory::getDocument();
//$document->addStyleSheet("components/com_virtualclassroom/assets/css/font-awesome.css");
 $model =  $this->getModel(); 
 $id=JRequest::getVar('cid');
 $lpreview =$model->learnerPreview($id);
 $isteacher = $model->isteacher();

 $launchUrl=(object)$model->getclasslaunch($lpreview[0]['id'],$lpreview[0]['title']);
 
?>
<?php  if(JVERSION < 3) {?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/bootstrap/bootstrap.min.css" type="text/css" />
<?php } ?>
<link rel="stylesheet" href="<?php echo JURI::base();?>/components/com_virtualclassroom/assets/css/virtualclassroom.css" type="text/css" />
<script type="text/javascript">
    
    
  
    function buyingbtn(classid){
         jQuery('#buyingframe').attr('src','<?php echo $base_url ;?>?task=classpayment&class_id='+classid+'&apikey=<?php echo $key ?>');
           jQuery("#buyingframe").show();
           jQuery('#buyingModal').modal('toggle');
    }
    function popup(url) 
    {
     params  = 'width='+screen.width;
     params += ', height='+screen.height;
     params += ', top=0, left=0'
     params += ', fullscreen=yes,directories=no,titlebar=no,toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=no,addressbar=no';
    
     newwin=window.open(url,'windowname4', params);
     if (window.focus) {newwin.focus()}
     return false;
    }
</script>

<!--<link rel="stylesheet" type="text/css" href="components/com_virtualclassroom/assets/css/bootstrap.min.css" />-->
 

    <h2><?php echo JText::_('INSTRUCTOR_PREVIEW');?></h2>

    <?php foreach($lpreview as $preview){

    $enrolled = $model->isEnrolled($preview['id']); 
                if($preview['status'] == "Upcoming"){
                    $class = "alert alert-warning";
                }
                if($preview['status'] == "Past"){
                    $class = "alert alert-danger";
                }
                if($preview['status'] == "Live"){
                    $class = "alert alert-success";
                }


        ?> 
<div class="well">
        <h6>
            <span class="previewheading"><?php echo $preview['title'];?></span>
                <span style="margin-top:20px;width:20%;" class="<?php echo $class;?>">
                <?php echo $preview['status']; ?>
                </span>
            
        </h6>
            <br>
            <h6>
            <span class="previewheading"><?php echo JText::_('DATE_AND_TIME');?></span>
             <?php  if($preview['status'] =='Upcoming' && !empty($preview['class_next_date'])) { ?>
            <i class="icon icon-calendar"></i> <?php echo date('Y-m-d', $preview['class_next_date']);
            }else { ?>
             <i class="fa fa-calendar"></i><?php echo $preview['date']; ?>
             <?php } ?>
             <i class="fa fa-clock-o"></i><?php echo $preview['start_time'];?>
            </h6>
            <br>
            <h6>
            <span class="previewheading"><?php echo JText::_('SCHEDULE_TIME_ZONE');?> : </span>  <?php echo $preview['timezone_label'];?>
            </h6>
            <br>
            <h6>
            <span class="previewheading"><?php echo JText::_('CLASS_DURATION');?> : </span><?php echo $preview['duration']/60;?>&nbsp;Minutes
            </h6>

    <?php }?>

    <?php if($launchUrl  && strtolower($preview['status']) == "live"){   

        $url = str_replace("'\'","",@$launchurl->encryptedlaunchurl);
        ?>
    <a target="_blank" class="btn btn-primary" style="font-weight: bold;" id="launch-btn" onclick="popup('<?php echo $url ?>')">Launch</a>

    <?php } ?>
    <script src="<?php echo JURI::root(); ?>components/com_virtualclassroom/assets/js/vlcr_countdown.js"></script> 
    <?php
$diff=$preview['class_starts_in'];
    if(($preview['ispaid'] == 1 && $preview['status'] =="Upcoming" && $enrolled ) || ( $preview['status'] =="Upcoming" && $preview['ispaid'] == 0 ) || $isteacher == 1){  ?>
        <script type="application/javascript">
    var myCountdownTest = new Countdown({
                        width   : 400, 
                        height: 70,
                        time:<?php echo ($diff) ;?>
                       });
    </script> 
<?php   } ?>
</div>